/*****************************************/
/* Reuben colours                        */
/* Based on colours from:                */
/* http://guide.lugnet.com/color/        */
/*****************************************/

                                           
                                           
#declare lg_color_GC22_sandgreen = texture {
   pigment { rgbft <0.333333333333333, 0.6, 0.422222222222222, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      conserve_energy
  }
};        

#declare lg_color_R04_darkred = texture {
   pigment { rgbft <0.3, 0, 0, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      conserve_energy
  }
};    



//LDraw color ID: 6 - Dark Orange-Red (Dark Brown) 
#declare lg_color_OR05_darkbrown = texture {
   pigment { rgbft <0.183333333333333, 0.0305555555555556, 0, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      conserve_energy
  }
};

#declare lg_color_N06_black = texture {
   pigment { rgbft <0, 0, 0, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      conserve_energy
  }
};    

#declare lg_color_G00_brightgreen = texture {
   pigment { rgbft <0, 0.8, 0, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      conserve_energy
  }
};        

#declare lg_color_N60_white = texture {
   pigment { rgbft <1, 1, 1, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      conserve_energy
  }
};
      
      
//LDraw color id: 14      
#declare lg_color_Y00_yellow = texture {
   pigment { rgbft <1, 0.833333333333333, 0, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      conserve_energy
  }
};      

#declare lg_color_YG12_grayishyellowgreen = texture {
   pigment { rgbft <0.516666666666667, 0.616666666666667, 0.166666666666667, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      conserve_energy
  }
}; 


#declare lg_color_tan = texture {
 pigment { rgb <232/255, 207/255, 161/255> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      conserve_energy
  }
};
                
//LDraw color id: 7                
#declare lg_color_N10_gray = texture {
   pigment { rgbft <0.583333333333333, 0.583333333333333, 0.583333333333333, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      conserve_energy
  }
};   

//LDraw color id: 8                
#declare lg_color_NW02_darkwarmgray = texture {
   pigment { rgbft <0.333333333333333, 0.309259259259259, 0.266666666666667, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      conserve_energy
  }
};

//LDraw color id: 1 (Blue)
#declare lg_color_B00 = texture {
   pigment { rgbft <0, 0.0749999999999997, 0.9, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      conserve_energy
  }
};

  
//LDraw color id: 4 (Red)
#declare lg_color_R00 = texture {
   pigment { rgbft <0.9, 0, 0, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      conserve_energy
  }
};
  
//LDraw color id: 15 (White)  
#declare lg_color_N60 = texture {
   pigment { rgbft <1, 1, 1, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      conserve_energy
  }
};


//LDraw color id: 14 (Yellow)
#declare lg_color_Y00 = texture {
   pigment { rgbft <1, 0.833333333333333, 0, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      conserve_energy
  }
};


//LDraw color id: ? (Dark Orange)
#declare lg_color_O02 = texture {
   pigment { rgbft <0.733333333333333, 0.183333333333333, 0, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      conserve_energy
  }
};


//LDraw color id: ? (Dark Blue)
#declare lg_color_B03 = texture {
   pigment { rgbft <0, 0.0374999999999999, 0.45, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      conserve_energy
  }
};

//LDraw color id: 25 (Light Yellow-Orange (Scala Tabletop) )
#declare lg_color_YO20 = texture {
   pigment { rgbft <1.06666666666667, 0.801851851851852, 0.333333333333333, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      conserve_energy
  }
};


//Light Orange-Yellow
#declare lg_color_OY10 = texture {
   pigment { rgbft <1.08333333333333, 0.574074074074074, 0.166666666666667, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      conserve_energy
  }
};   


//Chrome Neutral (Silver Chrome)
#declare lg_color_N00mc = texture {
   pigment { rgbft <0.99, 0.990833333333333, 1, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse .5
      brilliance 8
      phong 1 phong_size 100
      specular 1
      reflection { .90 metallic .8 falloff 1 exponent .5 }
      metallic .8
      conserve_energy
  }
};
      
      
//Dark grey      
#declare lg_color_NW04 = texture {
   pigment { rgbft <0.166666666666667, 0.15462962962963, 0.133333333333333, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      conserve_energy
  }
};    


//LDraw color ID: 10 (Bright Green)
#declare lg_color_G00 = texture {
   pigment { rgbft <0, 0.8, 0, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      conserve_energy
  }
};   

//Dark Warm Grey
#declare lg_color_NW02 = texture {
   pigment { rgbft <0.333333333333333, 0.309259259259259, 0.266666666666667, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      conserve_energy
  }
};   



//Dark Orange-Red (Light Brown) 
#declare lg_color_OR03 = texture {
   pigment { rgbft <0.55, 0.0916666666666667, 0, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      conserve_energy
  }
};   
 
//Dark Orange-Red (Medium Brown)  
#declare lg_color_OR04 = texture {
   pigment { rgbft <0.366666666666667, 0.0611111111111111, 0, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      conserve_energy
  }
};



//Light Neutral (Gray) 
#declare lg_color_N10 = texture {
   pigment { rgbft <0.583333333333333, 0.583333333333333, 0.583333333333333, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      conserve_energy
  }
};  

//Light Warm Neutral (Light Warm Gray) 
#declare lg_color_NW30 = texture {
   pigment { rgbft <0.75, 0.731944444444445, 0.7, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      conserve_energy
  }
};  


//LDraw color ID: 18 - Light Yellow 
#declare lg_color_Y20 = texture {
   pigment { rgbft <1, 0.888888888888889, 0.333333333333333, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      conserve_energy
  }
};     


//Light Yellow-Green (Scala Walls) 
#declare lg_color_YG20 = texture {
   pigment { rgbft <0.8, 0.933333333333333, 0.333333333333333, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      conserve_energy
  }
};


//Transparent Green
#declare lg_color_G00t = texture {
   pigment { rgbft <0, 1, 0, .9, .1> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .1
      diffuse 1
      brilliance 1
      phong 1 phong_size 40
      specular 1
      reflection { .05 falloff 1 exponent 1 }
      ior 1.2
      conserve_energy
  }
};


//Dull Metallic Dark Neutral (Silver Dull Chrome) 
#declare lg_color_N02md = texture {
   pigment { rgbft <0.66, 0.660555555555556, 0.666666666666667, 0, 0> }
   normal { bumps .01 scale .10 turbulence 0  }
   finish {
      ambient .0
      diffuse .6
      brilliance 3
      phong 1 phong_size 40
      specular .9
      reflection { .33 metallic .8 falloff 1 exponent 1 }
      metallic .8
      conserve_energy
  }
};










      

















   
   

                             