//==================================================
//POV-Ray Materials list
//==================================================
//This file has been created by PoseRay v3.12.2.456
//3D model to POV-Ray/Moray Converter.
//Author: FlyerX
//Email: flyerx_2000@yahoo.com
//Web: http://mysite.verizon.net/sfg0000/
//==================================================
//Files needed to run the POV-Ray scene:
//SW_Qui_Gon_rmp_amended_colours_POV_main.ini (initialization file - open this to render)
//SW_Qui_Gon_rmp_amended_colours_POV_scene.pov (scene setup of cameras, lights and geometry)
//SW_Qui_Gon_rmp_amended_colours_POV_geom.inc (geometry mesh)
//SW_Qui_Gon_rmp_amended_colours_POV_mat.inc (materials)
// 
 
#include "colors.inc"   

#include "rmp_colors.inc"


 
//==================================================
//Map definitions
 
//==================================================
//Material definitions

//Brown cloak
#declare ACAD_color_34_= 
material{texture{
                    //lg_color_OR04             //Medium Brown
                    lg_color_OR05_darkbrown     //Dark Brown
                }
                }
//==================================================

//Tan - skin color
#declare ACAD_color_19_= 
 material{texture{
                        lg_color_tan
                        //lg_tan          //Colour from LGEO colour library
                }
                }
//==================================================
//Black
#declare ACAD_color_250_= 
material{texture{
                        lg_color_N06_black
                }
                } 

/*
material{
texture{ pigment {color rgb <0.20,0.20,0.20> transmit  0} 
        finish{specular 0 roughness 0.09632328 ambient rgb <0.00,0.00,0.00> diffuse 0.6   reflection{0 } conserve_energy}}
} 
*/
//==================================================
// Light brown - beard and eyebrows
#declare ACAD_color_3_= 
material{texture{
                        lg_color_OR03  //Light Brown
                }
                }
//==================================================
// Cream colour - robes
#declare ACAD_color_18_= 
material{texture{
                        lg_color_Y20  //Light Yellow
                }
                }
//==================================================
// Silver belt-buckle
#declare ACAD_color_80_= 
material{texture{
                    lg_color_N00mc        //Silver Chrome
                }
                }

//==================================================

// Brown belt
#declare ACAD_color_70_= 
material{texture{
                    lg_color_OR03        //Light brown
                }
                }
//==================================================

// Under garment (might not be brown)
#declare ACAD_color_2_= 
material{texture{
                    lg_color_OR03        //Light brown
                }
                }
//==================================================

// Light-saber handle (light grey)
#declare ACAD_color_127_= 
material{texture{
                    //lg_color_N00mc        //Silver Chrome
                    //lg_color_NW04           //Dark Grey
                    lg_color_N02md          //Silver Dull Chrome
                }
                }
//==================================================

// Light-saber blade
#declare ACAD_color_42_= 
material{texture{
                    lg_color_G00t           //Transparent Green
                }
                }
//==================================================
